Description

in OTB tools is possible in (all?) tools to define the bit depth of output, example

-out      <string> [pixel] Output Image  [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

by default is "float" that many times is not the best option. As in Processing is not possible to change this default then further manipulation

of outputs is often needed.

The problem is that this [pixel] definition is not added to the OTB command as any other parameter: it must be added just after the "-out"

parameter without any "-" in front of it, exemple:

otbcli_KMeansClassification -in input.tif -out output.tif uint8

this means that this parameter cannot be added in OTB tools definitions files because they will be added to the command line with the "-"

causing an error for unrecognized parameter.

I guess that this means that OTBAlgorithm.py must be patched to cope with the "non" parameter.

History

#1 - 2014-11-17 11:45 PM - Alexander Bruy

- Category changed from 94 to 120

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-05-01 10:55 AM - Giovanni Manghi

A few providers are being removed from QGIS3 (they will be available as plugins), so the respective categories are also being removed from the bug

tracker. Where necessary the tickets will be reassigned to "processing/core" to not leave them orphaned of category.

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

#6 - 2017-05-03 07:05 PM - Alexander Bruy
- Resolution set to up/downstream

- Description updated

- Status changed from Open to Rejected

Moved to plugin bugtracker https://github.com/volaya/qgis-otb-plugin/issues/5
https://github.com/volaya/qgis-otb-plugin/issues/5

